/* ----------------------------------------------------------------------------
 *         ATMEL Microcontroller Software Support
 * ----------------------------------------------------------------------------
 * Copyright (c) 2009, Atmel Corporation
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * - Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer below.
 *
 * Atmel's name may not be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 * DISCLAIMER: THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 * DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * ----------------------------------------------------------------------------
 */

/**
 *  \file memories.h
 *
 *  Definition of SAM3S-EK memories library
 *
 */

#ifndef _MEMORIES_
#define _MEMORIES_

/*----------------------------------------------------------------------------
 *        Headers
 *----------------------------------------------------------------------------*/
#include "board.h"

//#include "include/at26.h"
//#include "include/at26d.h"
#include "include/EccNandFlash.h"
#include "include/ManagedNandFlash.h"
#include "include/MappedNandFlash.h"
#include "include/MEDDdram.h"
#include "include/MEDFlash.h"
#include "include/Media.h"
#include "include/MEDNandFlash.h"
#include "include/MEDRamDisk.h"
#include "include/MEDSdcard.h"
#include "include/MEDSdmmc.h"
#include "include/MEDSdram.h"
#include "include/NandCommon.h"
#include "include/NandFlashModel.h"
#include "include/NandFlashModelList.h"
#include "include/NandSpareScheme.h"
#include "include/NorFlashAmd.h"
#include "include/NorFlashApi.h"
#include "include/NorFlashCFI.h"
#include "include/NorFlashCommon.h"
#include "include/NorFlashIntel.h"
//#include "include/RawNandFlash.h"
#include "include/sdio.h"
#include "include/sdmmc.h"
#include "include/sdmmc_cmd.h"
#include "include/SkipBlockNandFlash.h"
#include "include/TranslatedNandFlash.h"

#endif /* #ifndef _MEMORIES_ */
